Subject: [sipcore] requirement to support TCP and UDP transports (was Re: WGLC: draft-ietf-sipcore-sip-websocket-02)

From: Victor Pascual Avila <[email-masked]>
Date: Thu, 23 Aug 2012 15:20:52 +0200

On Sat, Aug 11, 2012 at 1:20 AM, Paul Kyzivat <[email-masked]> wrote:
> In addition to this issue, there is the one about the current 3261
> requirement to support TCP and UDP transports, which many implementations of
> this draft will have difficulty complying with.

This transport can be implemented also on User Agents other than web
browsers (e.g. smartphones). What would be your suggestion, relax the
"MUST implement UDP and TCP" requirement (1)only for web browsers,
(2)for any device implementing the websockets transport, (3)in
general?

Cheers,
-Victor